Class | Fog::Compute::Cloudstack::Server
In: | lib/fog/cloudstack/models/compute/server.rb
Parent: | Fog::Compute::Server

### Methods

addresses destroy flavor ready? reboot save security_group_ids security_groups security_groups= start stop

### Attributes

disk_offering_id | [RW] |
ip_address | [RW] |
ip_to_network_list | [RW] |
network_ids | [RW] |
security_group_ids | [W] |

### Public Instance methods

addresses()
destroy()
flavor()
ready?()
reboot()
save()
security_group_ids()
security_groups()
security_groups=(security_groups)
start()
stop(force=false)

[Validate]